Debian Bug report logs - #651331
ovito FTBFS: libmuparser transition

version graph

Package: ovito; Maintainer for ovito is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for ovito is src:ovito.

Reported by: Scott Howard <showard@debian.org>

Date: Wed, 7 Dec 2011 20:21:02 UTC

Severity: serious

Tags: patch, sid

Found in version ovito/0.9.2-1

Fixed in version ovito/0.9.2-1.2

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, showard@debian.org, Pekko Metsä <pjmetsa@gmail.com>:
Bug#651331; Package ovito. (Wed, 07 Dec 2011 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
New Bug report received and forwarded. Copy sent to showard@debian.org, Pekko Metsä <pjmetsa@gmail.com>. (Wed, 07 Dec 2011 20:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ovito FTBFS: libmuparser transition
Date: Wed, 07 Dec 2011 15:19:39 -0500
Package: ovito
Version: 0.9.2-1
Severity: serious
Tags: sid

upstream muparser has released a new version of muparser which now follows
standard library naming conventions. Also, the include files in Debian have
moved from /usr/include/muParser to /usr/include.  Ovito FTBFS because of a
#include <muParser/muParser.h> that now must be #include <muParser.h>

Also, please consider adding a Depends on python in the control file, see:
http://lintian.debian.org/maintainer/pjmetsa@gmail.com.html#ovito



-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-13-generic-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added indication that bug 651331 blocks 651326 Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Wed, 07 Dec 2011 20:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pekko Metsä <pjmetsa@gmail.com>:
Bug#651331; Package ovito. (Thu, 08 Dec 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to Pekko Metsä <pjmetsa@gmail.com>. (Thu, 08 Dec 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 651331@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: control@bugs.debian.org, 651331@bugs.debian.org
Subject: setting ovito FTBFS to wishlist until muparser is in unstable
Date: Thu, 8 Dec 2011 13:27:44 -0500
severity 651331 wishlist
thanks

muparser isn't in unstable yet. I'll promote to RC when it is.




Severity set to 'wishlist' from 'serious' Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Thu, 08 Dec 2011 18:30:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 21:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pekko Metsä <pjmetsa@gmail.com>:
Bug#651331; Package ovito. (Wed, 28 Mar 2012 12:49:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard@debian.org>:
Extra info received and forwarded to list. Copy sent to Pekko Metsä <pjmetsa@gmail.com>. (Wed, 28 Mar 2012 12:49:43 GMT) Full text and rfc822 format available.

Message #21 received at 651331@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 651331@bugs.debian.org
Subject: ovito: diff for NMU version 0.9.2-1.2
Date: Tue, 27 Mar 2012 22:23:14 -0400
tags 651331 + patch
tags 651331 + pending
severity 651331 serious
thanks

Dear maintainer,

I've prepared an NMU for ovito (versioned as 0.9.2-1.2) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.
diff -Nru ovito-0.9.2/debian/changelog ovito-0.9.2/debian/changelog
--- ovito-0.9.2/debian/changelog	2012-01-22 21:11:46.000000000 -0500
+++ ovito-0.9.2/debian/changelog	2012-03-27 21:31:48.000000000 -0400
@@ -1,3 +1,14 @@
+ovito (0.9.2-1.2) unstable; urgency=low
+
+  * Non-Maintainer Upload.
+  * Fix FTBFS (Closes: #651331)
+    - debian-changes-0.9.2-1~2: updated patch to include to muParser.h
+    - debian-changes-0.9.2-1~3: new patch to use muparser built in
+      atan2 function
+    - debian/control: BD on libmuparser-dev (>= 2.1.0)
+
+ -- Scott Howard <showard@debian.org>  Tue, 27 Mar 2012 21:31:13 -0400
+
 ovito (0.9.2-1.1) unstable; urgency=low
 
   * Non-Maintainer Upload.
diff -Nru ovito-0.9.2/debian/control ovito-0.9.2/debian/control
--- ovito-0.9.2/debian/control	2010-10-29 09:40:15.000000000 -0400
+++ ovito-0.9.2/debian/control	2012-03-27 21:30:42.000000000 -0400
@@ -2,7 +2,7 @@
 Section: science
 Priority: extra
 Maintainer: Pekko Metsä <pjmetsa@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), cmake, libboost-dev, libboost-iostreams-dev, libboost-python-dev, libqt4-opengl-dev, qt4-dev-tools, libgsl0-dev, xsltproc, docbook-xml, docbook-xsl, docbook-xsl-doc-html, libqscintilla2-dev, python-dev, libmuparser-dev
+Build-Depends: debhelper (>= 7.0.50), cmake, libboost-dev, libboost-iostreams-dev, libboost-python-dev, libqt4-opengl-dev, qt4-dev-tools, libgsl0-dev, xsltproc, docbook-xml, docbook-xsl, docbook-xsl-doc-html, libqscintilla2-dev, python-dev, libmuparser-dev (>= 2.1.0)
 Standards-Version: 3.9.1
 Homepage: http://www.ovito.org/
 
diff -Nru ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~2 ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~2
--- ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~2	2010-10-30 07:55:07.000000000 -0400
+++ ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~2	2012-03-26 19:02:10.000000000 -0400
@@ -27,9 +27,11 @@
 Reviewed-By: <name and email of someone who approved the patch>
 Last-Update: <YYYY-MM-DD>
 
---- ovito-0.9.2.orig/CMakeLists.txt
-+++ ovito-0.9.2/CMakeLists.txt
-@@ -50,15 +50,7 @@ INCLUDE_DIRECTORIES(${OVITO_INCLUDE_PATH
+Index: ovito-0.9.2/CMakeLists.txt
+===================================================================
+--- ovito-0.9.2.orig/CMakeLists.txt	2012-03-26 18:48:40.832167566 -0400
++++ ovito-0.9.2/CMakeLists.txt	2012-03-26 18:48:45.000000000 -0400
+@@ -50,15 +50,7 @@
  # Place all compiled libraries into OVITO's library directory.
  SET(LIBRARY_OUTPUT_PATH "${OVITO_LIBRARY_DIRECTORY}")
  
@@ -46,22 +48,26 @@
  
  # Use pre-compiled headers
  OPTION(OVITO_USE_PRECOMPILED_HEADERS "Enable the generation of precompiled headers to speed up compilation." "ON")
---- ovito-0.9.2.orig/src/mainexec/resources/ovito.desktop
-+++ ovito-0.9.2/src/mainexec/resources/ovito.desktop
+Index: ovito-0.9.2/src/mainexec/resources/ovito.desktop
+===================================================================
+--- ovito-0.9.2.orig/src/mainexec/resources/ovito.desktop	2012-03-26 18:48:40.708167563 -0400
++++ ovito-0.9.2/src/mainexec/resources/ovito.desktop	2012-03-26 18:48:45.000000000 -0400
 @@ -1,5 +1,4 @@
  [Desktop Entry]
 -Encoding=UTF-8
  Name=OVITO
  Comment=Scientific visualization and analysis software for atomistic simulation data.
  Exec=/usr/bin/ovito
-@@ -7,4 +6,3 @@ Icon=/usr/share/ovito/ovito_icon.png
+@@ -7,4 +6,3 @@
  Terminal=false
  Type=Application
  Categories=Graphics;Science;
 -
---- ovito-0.9.2.orig/src/core/actions/stdactions/FileActions.cpp
-+++ ovito-0.9.2/src/core/actions/stdactions/FileActions.cpp
-@@ -151,7 +151,7 @@ void FileActionsHandler::OnHelpShowOnlin
+Index: ovito-0.9.2/src/core/actions/stdactions/FileActions.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/core/actions/stdactions/FileActions.cpp	2012-03-26 18:48:40.628167561 -0400
++++ ovito-0.9.2/src/core/actions/stdactions/FileActions.cpp	2012-03-26 18:48:45.000000000 -0400
+@@ -151,7 +151,7 @@
  		try {
  			// Use the web brwoser to show the online help instead.
  			if(!QDesktopServices::openUrl(QUrl("http://www.ovito.org/manual/")))
@@ -70,9 +76,11 @@
  		}
  		catch(const Exception& ex2) {
  			ex2.showError();
---- ovito-0.9.2.orig/src/core/gui/mainwnd/MainFrame.cpp
-+++ ovito-0.9.2/src/core/gui/mainwnd/MainFrame.cpp
-@@ -278,7 +278,7 @@ QProcess* MainFrame::showQtAssistant(con
+Index: ovito-0.9.2/src/core/gui/mainwnd/MainFrame.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/core/gui/mainwnd/MainFrame.cpp	2012-03-26 18:48:40.656167561 -0400
++++ ovito-0.9.2/src/core/gui/mainwnd/MainFrame.cpp	2012-03-26 18:48:45.000000000 -0400
+@@ -278,7 +278,7 @@
  			try {
  				// Use the web brwoser to show the online help instead.
  				if(!QDesktopServices::openUrl(QUrl("http://www.ovito.org/manual/")))
@@ -81,7 +89,7 @@
  			}
  			catch(const Exception& ex) {
  				ex.showError();
-@@ -306,7 +306,7 @@ QProcess* MainFrame::showQtAssistant(con
+@@ -306,7 +306,7 @@
  				try {
  					// Use the web browser to display the online help instead.
  					if(!QDesktopServices::openUrl(QUrl("http://www.ovito.org/manual/")))
@@ -90,9 +98,11 @@
  				}
  				catch(const Exception& ex) {
  					ex.showError();
---- ovito-0.9.2.orig/src/core/viewport/OpenGLInterface.cpp
-+++ ovito-0.9.2/src/core/viewport/OpenGLInterface.cpp
-@@ -40,7 +40,7 @@ const char* openglErrorString(GLenum err
+Index: ovito-0.9.2/src/core/viewport/OpenGLInterface.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/core/viewport/OpenGLInterface.cpp	2012-03-26 18:48:40.680167562 -0400
++++ ovito-0.9.2/src/core/viewport/OpenGLInterface.cpp	2012-03-26 18:48:45.000000000 -0400
+@@ -40,7 +40,7 @@
  	case GL_STACK_UNDERFLOW: return "GL_STACK_UNDERFLOW - This command would cause a stack underflow.";
  	case GL_OUT_OF_MEMORY: return "GL_OUT_OF_MEMORY - There is not enough memory left to execute the command.";
  	case GL_TABLE_TOO_LARGE: return "GL_TABLE_TOO_LARGE - The specified table exceeds the implementation's maximum supported table size.";
@@ -101,9 +111,11 @@
  	}
  }
  
---- ovito-0.9.2.orig/src/atomviz/CMakeLists.txt
-+++ ovito-0.9.2/src/atomviz/CMakeLists.txt
-@@ -181,19 +181,6 @@ SET(AtomViz_SRCS
+Index: ovito-0.9.2/src/atomviz/CMakeLists.txt
+===================================================================
+--- ovito-0.9.2.orig/src/atomviz/CMakeLists.txt	2012-03-26 18:48:40.756167564 -0400
++++ ovito-0.9.2/src/atomviz/CMakeLists.txt	2012-03-26 19:00:39.228184640 -0400
+@@ -181,19 +181,6 @@
  	benchmark/AtomVizBenchmarkUtility.cpp
  )
  
@@ -123,7 +135,7 @@
  # Add optional source file needed for POV-Ray export of atoms.
  IF(OVITO_BUILD_PLUGIN_POVRAY)
  	SET(AtomViz_SRCS ${AtomViz_SRCS} writer/Atoms2POVRay.cpp)
-@@ -219,7 +206,6 @@ ADD_LIBRARY(AtomViz
+@@ -219,7 +206,6 @@
  	PrecompiledHeader.cpp	 
  	${AtomViz_SRCS}
  	${AtomViz_MOC_SRCS}	
@@ -131,7 +143,7 @@
  )
  
  IF(OVITO_USE_PRECOMPILED_HEADERS AND CMAKE_COMPILER_IS_GNUCXX)
-@@ -227,7 +213,7 @@ IF(OVITO_USE_PRECOMPILED_HEADERS AND CMA
+@@ -227,7 +213,7 @@
  ENDIF(OVITO_USE_PRECOMPILED_HEADERS AND CMAKE_COMPILER_IS_GNUCXX)
  
  # Link required libraries
@@ -140,9 +152,11 @@
  
  # Link the target against the Qt libraries. 
  TARGET_LINK_LIBRARIES(AtomViz ${QT_LIBRARIES})
---- ovito-0.9.2.orig/src/atomviz/parser/dxa/DXAFileParser.cpp
-+++ ovito-0.9.2/src/atomviz/parser/dxa/DXAFileParser.cpp
-@@ -261,7 +261,7 @@ EvaluationStatus DXAFileParser::loadTime
+Index: ovito-0.9.2/src/atomviz/parser/dxa/DXAFileParser.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/atomviz/parser/dxa/DXAFileParser.cpp	2012-03-26 18:48:40.736167564 -0400
++++ ovito-0.9.2/src/atomviz/parser/dxa/DXAFileParser.cpp	2012-03-26 18:48:45.000000000 -0400
+@@ -261,7 +261,7 @@
  						color = bccType->color();
  						break;
  					default:
@@ -151,25 +165,29 @@
  					}
  					for(int n = 0; n < numNeighbors; n++)
  						stream.read(&tag, sizeof(tag));
---- ovito-0.9.2.orig/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp
-+++ ovito-0.9.2/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp
+Index: ovito-0.9.2/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp	2012-03-26 18:48:40.780167565 -0400
++++ ovito-0.9.2/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp	2012-03-26 19:02:04.428186665 -0400
 @@ -21,7 +21,7 @@
  
  #include <core/Core.h>
  #include <core/undo/UndoManager.h>
 -#include <atomviz/utils/muparser/muParser.h>
-+#include <muParser/muParser.h>
++#include <muParser.h>
  
  #include "CreateExpressionChannelModifier.h"
  
---- ovito-0.9.2.orig/src/atomviz/modifier/selection/SelectExpressionModifier.cpp
-+++ ovito-0.9.2/src/atomviz/modifier/selection/SelectExpressionModifier.cpp
+Index: ovito-0.9.2/src/atomviz/modifier/selection/SelectExpressionModifier.cpp
+===================================================================
+--- ovito-0.9.2.orig/src/atomviz/modifier/selection/SelectExpressionModifier.cpp	2012-03-26 18:48:40.812167565 -0400
++++ ovito-0.9.2/src/atomviz/modifier/selection/SelectExpressionModifier.cpp	2012-03-26 18:48:45.000000000 -0400
 @@ -24,7 +24,7 @@
  #include <core/scene/ObjectNode.h>
  #include <core/gui/properties/StringPropertyUI.h>
  #include <core/gui/properties/BooleanPropertyUI.h>
 -#include <atomviz/utils/muparser/muParser.h>
-+#include <muParser/muParser.h>
++#include <muParser.h>
  
  #include "SelectExpressionModifier.h"
  
diff -Nru ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~3 ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~3
--- ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~3	1969-12-31 19:00:00.000000000 -0500
+++ ovito-0.9.2/debian/patches/debian-changes-0.9.2-1~3	2012-03-27 21:22:14.000000000 -0400
@@ -0,0 +1,26 @@
+Description: Use muparser's atan2 function to fix FTBFS
+Author: Scott Howard <showard@debian.org>
+Bug-Debian: http://bugs.debian.org/651331
+
+--- ovito-0.9.2.orig/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp
++++ ovito-0.9.2/src/atomviz/modifier/datachannels/CreateExpressionChannelModifier.cpp
+@@ -140,7 +140,7 @@ public:
+ 				parsers[i].DefineNameChars("0123456789_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ.");
+ 
+ 				// Add the atan2() function.
+-				parsers[i].DefineFun("atan2", atan2, false);
++				//parsers[i].DefineFun("atan2", atan2, false); INCLUDED IN MUPARSER 2.1.0
+ 
+ 				// Let the muParser process the math expression.
+ 				parsers[i].SetExpr(expr.toStdString());
+--- ovito-0.9.2.orig/src/atomviz/modifier/selection/SelectExpressionModifier.cpp
++++ ovito-0.9.2/src/atomviz/modifier/selection/SelectExpressionModifier.cpp
+@@ -92,7 +92,7 @@ public:
+ 			parser.DefineNameChars("0123456789_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ.");
+ 
+ 			// Add the atan2() function.
+-			parser.DefineFun("atan2", atan2, false);
++			//parser.DefineFun("atan2", atan2, false); INCLUDED IN MUPARSER 2.1.0
+ 
+ 			// Let the muParser process the math expression.
+ 			parser.SetExpr(expression.toStdString());
diff -Nru ovito-0.9.2/debian/patches/series ovito-0.9.2/debian/patches/series
--- ovito-0.9.2/debian/patches/series	2012-01-22 16:05:23.000000000 -0500
+++ ovito-0.9.2/debian/patches/series	2012-03-27 21:23:30.000000000 -0400
@@ -1,2 +1,3 @@
 debian-changes-0.9.2-1~2
 boost1.48
+debian-changes-0.9.2-1~3




Added tag(s) patch. Request was from Scott Howard <showard@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 12:49:48 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Scott Howard <showard@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 12:49:48 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Scott Howard <showard@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 12:49:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pekko Metsä <pjmetsa@gmail.com>:
Bug#651331; Package ovito. (Thu, 05 Apr 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Pekko Metsä <pjmetsa@gmail.com>. (Thu, 05 Apr 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 651331@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Scott Howard <showard@debian.org>, 651331@bugs.debian.org
Subject: Re: Bug#651331: ovito: diff for NMU version 0.9.2-1.2
Date: Thu, 5 Apr 2012 20:18:49 +0200
Scott Howard <showard@debian.org> wrote:
> tags 651331 + patch
> tags 651331 + pending
> severity 651331 serious
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for ovito (versioned as 0.9.2-1.2) and
> uploaded it to DELAYED/10. Please feel free to tell me if I
> should delay it longer.
> 

FWIW, I'm rescheduling it for today. (the transition started, binNMUs
have been scheduled... there is only ovito left).

Regards,

-- 
Mehdi Dogguy




Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 18:36:07 GMT) Full text and rfc822 format available.

Notification sent to Scott Howard <showard@debian.org>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 18:36:07 GMT) Full text and rfc822 format available.

Message #37 received at 651331-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 651331-close@bugs.debian.org
Subject: Bug#651331: fixed in ovito 0.9.2-1.2
Date: Thu, 05 Apr 2012 18:33:28 +0000
Source: ovito
Source-Version: 0.9.2-1.2

We believe that the bug you reported is fixed in the latest version of
ovito, which is due to be installed in the Debian FTP archive:

ovito-doc_0.9.2-1.2_all.deb
  to main/o/ovito/ovito-doc_0.9.2-1.2_all.deb
ovito-examples_0.9.2-1.2_all.deb
  to main/o/ovito/ovito-examples_0.9.2-1.2_all.deb
ovito_0.9.2-1.2.debian.tar.gz
  to main/o/ovito/ovito_0.9.2-1.2.debian.tar.gz
ovito_0.9.2-1.2.dsc
  to main/o/ovito/ovito_0.9.2-1.2.dsc
ovito_0.9.2-1.2_i386.deb
  to main/o/ovito/ovito_0.9.2-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated ovito package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Mar 2012 21:31:13 -0400
Source: ovito
Binary: ovito ovito-doc ovito-examples
Architecture: source i386 all
Version: 0.9.2-1.2
Distribution: unstable
Urgency: low
Maintainer: Pekko Metsä <pjmetsa@gmail.com>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 ovito      - visualization and analysis tool for atomistic simulation data
 ovito-doc  - documentation for ovito
 ovito-examples - tutorial examples for ovito
Closes: 651331
Changes: 
 ovito (0.9.2-1.2) unstable; urgency=low
 .
   * Non-Maintainer Upload.
   * Fix FTBFS (Closes: #651331)
     - debian-changes-0.9.2-1~2: updated patch to include to muParser.h
     - debian-changes-0.9.2-1~3: new patch to use muparser built in
       atan2 function
     - debian/control: BD on libmuparser-dev (>= 2.1.0)
Checksums-Sha1: 
 084693939d4c0f6fcb9139b0e788eba55ff203b7 1362 ovito_0.9.2-1.2.dsc
 7c923e9f6355e6a4a9f8cc84ebdd34a06d1701d9 8858 ovito_0.9.2-1.2.debian.tar.gz
 ad46f2a8a9dfb9f84b7fdab830bef4a2fbd251ba 3990354 ovito_0.9.2-1.2_i386.deb
 7a775c91d28169b54def5462f2177bd8f1127087 5496232 ovito-doc_0.9.2-1.2_all.deb
 a855543d00e89d28af56d5e74f189cc92471fbc3 3635738 ovito-examples_0.9.2-1.2_all.deb
Checksums-Sha256: 
 5975b039fb4b346938467d50fe650f195146be3b02e0e76231a50ffa098b60ec 1362 ovito_0.9.2-1.2.dsc
 052f5d5dbf554660037dbdfc2831288a2b2d788827b3d1f07bbd050a147eb434 8858 ovito_0.9.2-1.2.debian.tar.gz
 15d948cc3bdccd57156692cdd8628731998ab0540fb9117ec5e76a4ed5868a7e 3990354 ovito_0.9.2-1.2_i386.deb
 b236ab91dd8e5f5dc83a1d4519a4a1de76bdff9f864ef8f960b7d839a3cf36dd 5496232 ovito-doc_0.9.2-1.2_all.deb
 2288716bc753bdca2ae65ade216bd0a3f9334215fc3fdbe6e154b85537f7de05 3635738 ovito-examples_0.9.2-1.2_all.deb
Files: 
 6fbe537c496e3c1814dd7d6ba123ceae 1362 science extra ovito_0.9.2-1.2.dsc
 df70bf9d6c2354681e1fb4b4cde784b8 8858 science extra ovito_0.9.2-1.2.debian.tar.gz
 43491762fb4c8b66740b0c4ed47e1463 3990354 science extra ovito_0.9.2-1.2_i386.deb
 ef5e3b691b4d3dbf257b5946b85ea027 5496232 doc extra ovito-doc_0.9.2-1.2_all.deb
 c84f384fb91b1cb5ceccfd2422d94c94 3635738 doc extra ovito-examples_0.9.2-1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9ydosACgkQuqVp0MvxKmqHVACfezH8eZ1CVcIi7zpvLufE+omQ
XYoAn1KYGsS/ryn+FwXQ5INoiZK/Xuzm
=76H7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 May 2012 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:06:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.